package com.diagbot.mapper;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.dto.EvaluationModuleMappingDTO;
import com.diagbot.entity.EvaluationModuleMapping;
import com.diagbot.vo.EvaluationModuleDiseaseNameVO;


/**
 * <p>
 * 管理与评估模板表 Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2019-03-25
 */
public interface EvaluationModuleMappingMapper extends BaseMapper<EvaluationModuleMapping> {

	IPage<EvaluationModuleMappingDTO> queryEvaluationModulePageAll(Page page, @Param("evaluationModule") EvaluationModuleDiseaseNameVO evaluationModule);

}
